[Social Login Mobile] Something happened on our side while generating your app.
Question
social-login-mobile
Mobile icon
Forge component by Platform Maintenance
Application Type
Mobile
Service Studio Version
11.14.14 (Build 59923)
Platform Version
11.8.4 (Build 29614)

Hello,

I manually installed version 3.0 of the Social Login Mobile plugin (version under development) together with Social Login Configurator 3.0.0 (also under development). I've added the dependencies to my new test native app and tried to generate it (not adding any logic yet) and get the following error:

"Error: Something happened on our side while generating your app. Please try again."

I changed the MABS version from 8.0 to 7.2 but the error persists.

I know that the plugin is under development, so 100% reliability cannot be expected, but I would like to know if I am doing something wrong or if I simply have to wait for a more stable release.

Regards!.

Hey @Alexandre Jacinto,

It worked!, I'll do a summary of what I had to do to fix the problem in case someone else has the same thing:

  • Set MABS to 8.0.
  • Add SocialLoginsConfigurations.json to app resources folder and manually add the 'json-config' into the target directory.
  • Set the minimum sdk version to 24 in the application-extensive-properties.

Thank you very much for the help!

Hi @Christofer Parra


First of all, thank you for your interest in our Social Login plugin!

I would like to ask some extra info from you, if that's ok:

  • In which platform are you trying to build the app? Android or iOS?
  • Did you setup the configurations for the social login providers you wish to use in the Social Login Configurator dashboard? After doing that, did you include the SocialLoginsConfigurations.json file that you download from the Social Login Configurator in the Resources folder of your OutSystems app?

Here is a link to the documentation page of the Social Login plugin: https://success.outsystems.com/Documentation/11/Extensibility_and_Integration/Mobile_Plugins/Social_login_plugin 

Please let us know if there is anything we can assist you with regarding the usage of our Social Login plugin.


Best regards,

Alexandre Jacinto 

Thanks for your answer @Alexandre Jacinto, about your questions:

  • I'm trying to build for android (then i need to do it for iOS).
  • And yes, I did the configuration of providers in the Social Login Configurator dashboard (at the moment I'm only testing with facebook) and i also included the SocialLoginsConfigurations.json (with the option "Deploy to Target Directory") in the app's resources folder.

But the problem persists, although I don't think it's a logic error because I just add the dependency and try to build the app (without even implementing any plugin action) and the error "Something happened on our side while generating your app" appears. 

  • The error happens with any version of MABS).
  • The application was created exclusively to test this plugin.
  • If I remove the dependency there is no problem when generating the app.

Regards!


Hello again @Christofer Parra and thank you for your answers!


Your build problem may be related with the Target Directory that you set for the SocialLoginsConfigurations.json file in the Resources. You need to set it to 'json-config' like it shows in this image:



Please let us know if this helped.


Best regards,

Alexandre Jacinto

Hello @Alexandre Jacinto,

I set the target directory to 'json-config' exactly as you told me and the error changed:

"Error: There was an issue generating the app. Library OSSocialLoginsLib-Android-release.aar requires minimum Android SDK 24, which is higher than the 23 required by the app. Check if this value is being overridden in your extensibility configurations"

 So I added this to the application-extensive-properties

{

     "preferences": {

         "android": [{

             "name": "android-minSdkVersion",

             "value": "24"

         }]

     }

}

Whit this the new error disappeared but the old one returned:

"Something happened on our side while generating your app"

Thanks for the support!

Hello @Christofer Parra


What version of MABS are you using to build the app? For this plugin you should use MABS 8.


Best regards,

Alexandre Jacinto

Hey @Alexandre Jacinto,

It worked!, I'll do a summary of what I had to do to fix the problem in case someone else has the same thing:

  • Set MABS to 8.0.
  • Add SocialLoginsConfigurations.json to app resources folder and manually add the 'json-config' into the target directory.
  • Set the minimum sdk version to 24 in the application-extensive-properties.

Thank you very much for the help!

Hi @Christofer Parra!


I'm glad we were able to help you surpass the build problem! Just wanted to mention that I believe since you're using MABS 8 you shouldn't need to set the minimum sdk version to 24 in the Extensibility Configurations. I believe you can simply remove this preference and the build should also work.


Thank you again for your interest in our Social Logins Plugin!


Best regards,

Alexandre Jacinto

Community GuidelinesBe kind and respectful, give credit to the original source of content, and search for duplicates before posting.